=== modified file '__init__.py'
--- __init__.py	2005-07-22 14:21:28 +0000
+++ __init__.py	2005-07-25 14:17:15 +0000
@@ -7,7 +7,7 @@
 try:
     import baz_import
     commands.append(baz_import.cmd_baz_import)
-except baz_import.NoPyBaz:
+except Exception:
     class cmd_baz_import(bzrlib.commands.Command):
         """Disabled. (Requires PyBaz)"""
     commands.append(cmd_baz_import)

=== modified file 'annotate.py'
--- annotate.py	2005-07-14 20:15:16 +0000
+++ annotate.py	2005-07-25 14:17:15 +0000
@@ -19,6 +19,7 @@
 from bzrlib.errors import BzrCommandError
 import os
 import progress
+from progress import show_progress
 import patches
 import difflib
 import sys
@@ -72,7 +73,7 @@
             for result in iter_annotate_file(lines, anno_d_iter):
                 if isinstance(result, progress.Progress):
                     result.total = total
-                    progress_bar(result)
+                    show_progress(progress_bar, result)
                 else:
                     anno_lines = result
         finally:

=== modified file 'baz_import.py'
--- baz_import.py	2005-07-22 14:21:28 +0000
+++ baz_import.py	2005-07-25 14:17:15 +0000
@@ -305,7 +305,7 @@
                     fast=fast, verbose=verbose, dry_run=dry_run, 
                     max_count=max_count, skip_symlinks=skip_symlinks):
                 if fancy:
-                    progress_bar(result)
+                    show_progress(progress_bar, result)
                 else:
                     sys.stdout.write('.')
         finally:

=== modified file 'progress.py'
--- progress.py	2005-06-17 13:45:41 +0000
+++ progress.py	2005-07-25 14:17:15 +0000
@@ -17,7 +17,7 @@
 
 import sys
 import datetime
-from bzrlib import progress
+from bzrlib.progress import ProgressBar
 
 class Progress(object):
     def __init__(self, units, current, total=None):
@@ -39,12 +39,8 @@
         else:
             return "%i %s" (self.current, self.units) 
 
-class ProgressBar(progress.ProgressBar):
-    def __init__(self):
-        progress.ProgressBar.__init__(self)
-
-    def __call__(self, prog):
-        self.update(prog.units, prog.current, prog.total)
+def show_progress(pi, prog):
+    pi.update(prog.units, prog.current, prog.total)
         
 def clear_progress_bar():
     sys.stderr.write('\r%s\r' % (' '*79))

